Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class SunMxServerDetector

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ServerDetector
              org.hyperic.hq.product.DaemonDetector
                  org.hyperic.hq.product.jmx.MxServerDetector
                      org.hyperic.hq.product.jmx.SunMxServerDetector

All Implemented Interfaces:
  AutoServerDetector, FileServerDetector, RuntimeDiscoverer

    public class SunMxServerDetector

extends MxServerDetector

Detector for Sun 1.5+ JVMs with remote JMX enabled

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.product.jmx.MxServerDetector
`MxServerDetector.MxProcess`

Field Summary

Fields inherited from class org.hyperic.hq.product.jmx.MxServerDetector
`PROC_HOME_ENV, PROC_HOME_PROPERTY, PROC_JAVA, PROC_MAIN_CLASS, PROP_PROCESS_QUERY, SUN_JMX_PORT, SUN_JMX_REMOTE`

Fields inherited from class org.hyperic.hq.product.ServerDetector
`AUTOINVENTORY_NAME, INSTALLPATH, INVENTORY_ID`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`SunMxServerDetector()`

Method Summary
`List` | `getServerResources(org.hyperic.util.config.ConfigResponse platformConfig)`

Methods inherited from class org.hyperic.hq.product.jmx.MxServerDetector
`configureLocalMxURL, configureMxURL, discoverMxServices, discoverServices, discoverServiceTypes, getMxURL, getProcHomeEnv, getProcHomeProperty, getProcMainClass, getProcQuery, getProcQuery, getServerProcessList, getServerResource, isInstallTypeVersion, parseMxPort`

Methods inherited from class org.hyperic.hq.product.DaemonDetector
`discoverServerConfig, getFileResources, getPlatformConfig, getProcessQuery, getProcessResources, getProcOpts, getServerResources, isSwitch, newServerResource, newServerResource, setPlatformConfig`

Methods inherited from class org.hyperic.hq.product.ServerDetector
`createServerResource, createServiceResource, discoverResources, discoverServers, findVersionFile, formatAutoInventoryName, formatName, getCanonicalPath, getConfigSchema, getConnectionProtocol, getDocument, getListenAddress, getListenAddress, getManager, getParentDir, getParentDir, getPids, getProcArgs, getProcCwd, getProcExe, getProcExe, getProcModules, getRegistryScanKeys, getRuntimeDiscoverer, getScanOrder, getServerSignature, getServiceConfigs, getServiceInventoryPlugins, getSigar, getTypeProperty, getXPathValue, getXPathValue, init, isInstallTypeVersion, isRuntimeDiscoverySupported, isSSLPort, isWin32ServiceRunning, setControlConfig, setControlConfig, setCustomProperties, setCustomProperties, setDescription, setMeasurementConfig, setMeasurementConfig, setProductConfig, setProductConfig`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunMxServerDetector

    public SunMxServerDetector()

Method Detail

### getServerResources

    public List getServerResources(org.hyperic.util.config.ConfigResponse platformConfig)
                            throws PluginException

  Specified by:
    `getServerResources` in interface `AutoServerDetector`
  Overrides:
    `getServerResources` in class `MxServerDetector`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.